# DASetLocalAdicMFFunction

Caches in a DA a local function computed by ADIC/ADIFOR Collective on DA

### Synopsis

    PetscErrorCode DASetLocalAdicMFFunction(DA da,DALocalFunction1 ad_lf)

### Input Parameter

| da | - initial distributed array
| ad_lf | - the local function as computed by ADIC/ADIFOR

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DAGetLocalFunction(), DASetLocalFunction(),
DASetLocalJacobian()

Level:intermediate
Location:src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex26.c.html